<?php
/*
 * Project name: Flatboard
 * Project URL: http://flatboard.free.fr
 * Author: Frédéric Kaplon and contributors
 * Translation: Livetheenergy (Last update: 2020.01.27)
 * All Flatboard code is released under the MIT license.
 * See COPYRIGHT.txt and LICENSE.txt.
*/
# SetLocal
setlocale(LC_ALL, "it_IT");
# Définit le décalage horaire par défaut de toutes les fonctions date/heure  
date_default_timezone_set("Europe/Rome");
# Definit l'encodage interne
mb_internal_encoding("ISO-8859-1");

$lang = array(
'fr-FR'             => 'French',
'en-US'             => 'English',
'ru-RU'             => 'Russian',
'de-DE'             => 'German',
'it-IT'             => 'Italian',

'in'  => ' <i class="fa fa-clock-o"></i>',
/************* install.php ***************/
'php_version' => 'Necessario <b>PHP 5.2</b>',
'flatBoard_installer' => 'Installazione del Forum',
'welcome_installer' => 'Benvenuto!',
'site_title' => 'nome del tuo forum',
'site_slogan' => 'descrizione',
'your_admin_psw' => 'admin password',
'site_mail' => 'email',
'install' => 'Installa',
'installed_title' => '<i class="fa fa-bullhorn"></i> il forum è pronto!',
'installed_msg' => 'Ora sei pronto per pubblicare i contenuti.',

/************* config.php ***************/
'homepage' => 'Home Page',
'footer_text' => 'Footer',
'announcement' => 'Top',
'announcement_desc' => 'Lascia vuoto per non visualizzare annunci (HTML consentito).',
'ItemByPage' => 'Oggetti per pagina',
'date_format' => 'Formato Data',
'date_format_desc' => 'per maggiori info <a href="http://php.net/manual/en/function.date.php">PHP doc</a>.',
'date_format_placeholder' => 'Y/m/d H:i',
'maintenance' => 'Manutenzione',
'maintenance_desc' => ' Torniamo presto! il forum è in manutenzione.',
'ban_list' => 'Bannati',
'ban_ok'  => 'questo IP non è più autorizzato.',
'ban_fail' => 'questo IP è stato già bannato.',
'dashboard' => 'Dashboard',
'add_worker' => 'aggiungi moderatore',
'save' => 'Salva',
'update' => 'Aggiorna ',
'theme' => 'Tema',
'theme_desc' => '<a href="config.php/deletecache" class="btn btn-primary btn-sm"><i class="fa fa-trash" aria-hidden="true"></i> Svuota cache</a>',
'cache_clean' => 'Cache pulita',
'folder_deleted' => 'Cartella Eliminata',
'folder_error' => 'Errore',
'lang' => 'Lingua',
'editor' => 'Editor',
'bbcode' => 'BBcode',
'markdown' => 'Markdown',
'editor_desc' => 'Formato BBcode o markdown',
'style' => 'Color scheme ' .Util::Help('personalizza la navigation bar.'),
'style_placeholder' => 'slateblue, #000000…',
'nb_page_scroll_infinite' => 'Quante pagine scrollano automaticamente',
'nb_page_scroll_desc' => '1 per disabilitare lo scrolling automatico.',
'salt' => 'Key security',
'salt_desc' => 'lascia in bianco per generare una chiave',
'manage_tags' => 'Gestione Tags',
'tags' => 'Tags',
'tags_help' => 'i Tags ti permettono di mettere in evidenza argomenti in discussione e ne semplificano la ricerca.',
'tags_empty' => 'Tags list vuota!',
'replace' => 'Sostituisce',
'tags_result' => 'Risultato',
'blog' => 'Blog',
'blog_new' => 'Seleziona un forum per offire le news nel tuo blog.',
'disable_blog' => 'disabilita blog',
'post_summary' => 'Numero di parole del post per il sommario.',
'hidden_tag' => 'Nascondi questa tag',
'title_tag' => '[My Tag]',
'user' => 'Utente',
'username_check' => 'Username',
'user_checked' => 'Username checked',
'back_to_site' => 'Back to site',
'good-morning' => 'Good morning',
'good-afternoon' => 'Good afternoon',
'good-evening' => 'Good evening',
'good-night' => 'Good night',
'hello' => 'Hello',
'note' => 'Nota',

/************* dashboard ***************/
'pro_edition' => 'PRO - Thanks for support Flatboard',
'standard_edition' => 'Standard - <a class="btn btn-link" href="http://flatboard.free.fr/download.php" onclick="window.open(this.href); return false;">Upgrade to Flatboard PRO</a>',

/************* Msg System ***************/
'warning_installation_file' => 'install.php è ancora presente. <br />Sarebbe meglio <a class="button secondary outline small" role="button" href="config.php/delinstallfile" title="delete now?">eliminarlo</a>.',
'new_version' => 'New version available',
'theme_not_found' => 'Main theme not found',

/************* add.php ***************/
'topic_added' => 'Topic aggiunto!',
'reply_added' => 'Risposta aggiunta!',
'forum_added' => 'Forum aggiunto!',
'write_post' => 'Scrivi un Post...',
'modo_added' => 'Nuovo moderatore aggiunto!',
'trip' => 'Pseudo ' .Util::Help('puoi registrarti o utilizzare lo stesso nome<span style="color:red">@</span>password ogni volta. La password sarà criptata.'),
'badge_color' => 'Colore Badge',
'badge_color_desc' => 'Colore in HEX',
'font_icon' => 'Icona',
'font_icon_placeholder' => 'fa-folder',
'font_icon_desc' => 'Vai a <a href="http://fontawesome.io/icons/">Font Awesome</a> per scegliere una nuova icona',
'email_sent' => 'Email inviata',
'email_nosent' => 'Email NON inviata',
'report_desc' => 'Il moderatore verrà informato dei link che posti.<br />Leggi il regolamento e ricorda di utilizzare il forum in modo opportuno.',
'your_email' => 'il tuo indirizzo email',
'click_to_view_post' => 'Clicca per vedere i post',
'order' => 'Ordine',
'flood_start' => 'Devono passare almeno 60 secondi. Attendi %s minuti e riprova.',
'private' => 'Make private access to the site.',
'restrict_access' => 'Restrict access to the site to the forum team.',
'private_msg' => 'Sorry, you don\'t have permissions to open this page.',
'unauthorized_access' => 'Unauthorized access',
'no_tag' => 'NO TAG',
'more_info' => 'Clicca qui per maggiori dettagli',
'cancel' => 'Annulla',
'choose_pic' => 'Choose a picture',
'upload' => 'Upload',

/************* delete.php ***************/
'topic_deleted' => 'Topic eliminato!',
'reply_deleted' => 'Risposta eliminata!',
'forum_deleted' => 'Forum eliminato!',
'worker_deleted' => 'Moderatore eliminato!',
'ip_not_banned' => 'Questo IP non è bannato.',
'ip_removed' => 'IP rimosso.',

/************* edit.php ***************/
'topic_edited' => 'Topic aggiornato!',
'reply_edited' => 'Risposta aggiornata!',
'forum_edited' => 'Forum aggiornato!',
'pinned_homepage' => 'Pinned in home',
'pick_font' => 'Seleziona icona',
'useSpace' => true,
'home' => 'Home',
'thread_sug'  => 'Topic suggeriti',
'change_pwd'  => 'Cambia password',
'topic' => 'Topic',
'newthread' => 'Inizia Discussione',
'reply' => 'Replica',
'replies' => 'Risposte',
'newreply' => 'Nuova risposta',
'quote_reply' => 'Risposta con citazione',
'quote_by' => 'Citazione da',
'add_forum'   => 'Aggiungi Forum',
'plugin' => 'Plugin',
'config' => 'Config',
'logout' => 'Logout',
'login' => 'Login',
'redirect' => 'ti stiamo reindirizzando qui: ',
'add' => 'Aggiungi',
'edit' => 'Modifica',
'delete' => 'Elimina',
'title' => 'Titolo',
'content' => 'Contenuto',
'name' => 'Nome',
'mail' => 'Email',
'mail_desc' => 'mai pubblica',
'not_required' => '(non obbligatorio)',
'search' => 'Cerca',
'forum' => 'Forum',
'password' => 'Password',
'confirm_password' => 'conferma password',
'powered' => 'Powered by <a href="http://flatboard.free.fr" onclick="window.open(this.href); return false;">Flatboard' .(defined('FLATBOARD_PRO')?' Pro':''). '</a> and <i class="fa fa-heart"></i>.',
'feed' => 'Feed',
'none' => 'Vuoto',
'info' => 'Informazioni',
'date' => 'Data',
'activity' => 'Attività',
'view' => 'Visite',
'count' => 'Post',
'new' => 'Nuovo',
'more' => 'più',
'submit' => 'Inserisci',
'admin' => 'Admin',
'worker' => 'Moderatore',
'sort_forums' => 'Ordina',
'yes' => 'Si',
'no' => 'No',
'locked' => 'Bloccato',
'no_reply' => 'non puoi rispondere',
'locked_discussion' => 'discussione bloccata.',
'report' => 'Report',
'day' => 'giorno',
'hour' => 'ore',
'minute' => 'minuti',
'second' => 'secondi',
'plural' => '',
'ago' => 'fa',
'errLen' => 'troppo lungo o corto',
'errBot' => 'CAPTCHA errata',
'errNb' => 'Questo non è un numero intero positivo',
'ErrContentFilter' => 'You have inserted at least one censored word, please be polite.',
'pinned' => 'Pinned',
'stickied_discussion' => 'stickied',
'replied' => '<i class="fa fa-share-square"></i> risposto ',
'started' => '<i class="fa fa-bolt"></i> aperta ',
'notFound' => 'Oops! Pagina inesistente sad',
'errNotMatch' => 'password non corrisponde',
'captcha' => 'Captcha',
'enter_code' => 'security code',
'math_result' => 'Answer to this simple math question',
'math_captcha' => 'Use Math captcha?',
'r_captcha'   => 'Reload',
'quickNav' => 'Navigazione Rapida',
'invalid_token' => 'Invalid token!',
'mail_available' => 'Funzione di invio Mail disponibile',
'mail_not_available' => 'Funzione di invio Mail non disponibile',
'statistics' => 'Statistiche',
'start' => '<div class="alert alert-success"><button class="btn btn-clear float-right"></button><h6>Bene! il forum è pronto.</h6> per iniziare aggiungi nuovi forum. <a href="add.php/forum" class="btn btn-primary"><i class="icon icon-plus"></i></a></div>',
'no-forum' => 'nessun forum',

/************* view.php ***************/
'permalink' => 'Permalink',
'solved' => 'risolto',
'original_message' => 'Origine',
'last_modified' => 'Ultima modifica: ',
'last_post' => 'Ultimo post',
'user_activity' => 'Mostra attività.',
'error' => 'ERRORE',
'no_plugin' => 'Questo plugin non esiste O non è abilitato!',
'want_more' => 'Vuoi saperne di più? <a href="index.php' . DS . 'forum">Sfoglia tutte le categorie</a> o <a href="' .HTML_BASEPATH. '">guarda gli ultimi argomenti</a>.',
'close_del_content' => 'By closing this window with this button will delete the contents.',
'reply_this_topic' => 'Write a Reply…',

/************* search.php ***************/
'search_term_found' => 'Termine trovato.',
'search_desc' => 'Ricerca eseguita su: autore, titolo, tag e topic.',
'search_holder' => 'autore, titolo, tag o contenuto.',
'click_tag_search' => 'Clicca su una Tag per inserirla in ricerca.',

/************* Plugin ***************/
'state'        => 'On/Off plugin',
'state_on'     => 'On',
'state_off'    => 'Off',
'data_save'    => 'Salvato !',
'description'  => 'Descrizione',
'author'       => 'Autore',
'check_all'    => 'Seleziona tutto',
'plugin_help'    => '<i class="fa fa-warning"></i> Help',
'manage_plugin'    => 'plugin',
'cantDisable'  => 'This plugin can not be disabled.',
'click_to_active'=>'Activate the plugin.',
'click_to_disable'=>'Disable the plugin.',

/************* auth.php ***************/
'password_changed' => 'Password modificata!',
'edit_password' => 'Cambia password',
'login_confirm' => 'Loggato correttamente.',
'logout_confirm' => 'Uscito.',
'incorrect_password' => 'password errata.',
'error_maxlogin' => 'Troppi tentativi. Riprova tra % minuti.',
'already_logged' => 'You are already logged in!',
'already_logged_msg' => 'You are already logged in as <b>%s</b>, you need to log out before logging in as different user.',

/************* services.php ***************/
'ban_user' => 'Banna IP',
'unban_user' => 'Unban IP',
'banned' => 'Sei stato bannato!',
'your_banned' => 'Sei bannato da questo forum. Il tuo ip: ',
'has_banned' => ' è stato bannato!',
'ban' => 'indirizzo IP o range'

);
?>﻿